%if %{_use_internal_dependency_generator}
%define __noautoreq 'devel\\(libcom_err(.*)\\)'
%else
%define _requires_exceptions devel(libcom_err
%endif

Summary:	Heimdal implementation of Kerberos V5 system
Name:		heimdal
Version:	1.5.3
Release:	9
License:	BSD-like
Group:		Networking/Other
Url:		http://www.h5l.org
Source0:	http://www.h5l.org/dist/src/heimdal-%{version}.tar.gz
Source1:	http://www.h5l.org/dist/src/heimdal-%{version}.tar.gz.asc
Source2:	%{name}-ldconfig.conf
#FIXME
#Source2:	%{name}.logrotate
Source3:	%{name}.sysconfig
#Source4:	%{name}-krb5.conf
Source5:	%{name}-ftpd.xinetd
Source6:	%{name}-rshd.xinetd
Source7:	%{name}-telnetd.xinetd
Source8:	%{name}-kadmind.xinetd

# systemd services
Source10:	%{name}-ipropd-master.service
Source11:	%{name}-ipropd-slave.service
Source12:	%{name}-kadmind.service
Source13:	%{name}-kdc.service
Source14:	%{name}-kpasswdd.service
Source15:	ipropd-slave-env-sheck.sh

Patch0:		heimdal-1.5.3-texi-fixes.patch
Patch11:	heimdal-1.4-passwd-check.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	texinfo
BuildRequires:	db-devel
BuildRequires:	openldap-devel >= 2.0
BuildRequires:	pam-devel
BuildRequires:	readline-devel
#BuildRequires:	termcap-devel
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xau)
BuildRequires:	pkgconfig(xt)
#Required for tests/ldap
BuildRequires:	openldap-servers

%description
Heimdal is a free implementation of Kerberos 5. The goals are to:
   - have an implementation that can be freely used by anyone
   - be protocol compatible with existing implementations and, if not in
     conflict, with RFC 1510 (and any future updated RFC)
   - be reasonably compatible with the M.I.T Kerberos V5 API
   - have support for Kerberos V5 over GSS-API (RFC1964)
   - include the most important and useful application programs (rsh,
     telnet, popper, etc.)
   - include enough backwards compatibility with Kerberos V4
   - IPv6 support

#----------------------------------------------------------------------------

%package	workstation
Summary:	Kerberos programs for use on workstations
Group:		Networking/Other
Requires:	%{name}-libs = %{EVRD}
Conflicts:	krb5-workstation
Provides:	kerberos-workstation

%description	workstation
This package contains Kerberos 5 programs for use on workstations.

%files workstation
%{_bindir}/afslog
%{_bindir}/compile_et
%{_bindir}/kgetcred
%{_bindir}/kx
%{_bindir}/pfrom
%{_bindir}/rxtelnet
%{_bindir}/rxterm
%{_bindir}/string2key
%{_bindir}/tenletxr
%{_bindir}/otpprint
%{_bindir}/verify_krb5_conf
%{_bindir}/xnlock
%{_bindir}/kf
%{_bindir}/kdestroy
%{_bindir}/kinit
%{_bindir}/klist
%{_bindir}/kpasswd
%{_bindir}/gsstool
%{_bindir}/kcc
%{_bindir}/pagsh
%{_bindir}/hxtool
%{_bindir}/idn-lookup
%{_bindir}/kswitch
%attr(4755,root,root) %{_bindir}/otp
%attr(4755,root,root) %{_bindir}/su
%attr(4755,root,root) %{_bindir}/ksu
%{_sbindir}/kadmin
%{_sbindir}/ktutil
%{_sbindir}/digest-service
%{_mandir}/man1/afslog.1*
%{_mandir}/man1/ksu.1*
%{_mandir}/man1/kdestroy.1*
%{_mandir}/man1/kgetcred.1*
%{_mandir}/man1/klist.1*
%{_mandir}/man1/kswitch.1*
%{_mandir}/man1/kinit.1*
%{_mandir}/man1/kpasswd.1*
%{_mandir}/man1/pagsh.1*
%{_mandir}/man1/otp.1*
%{_mandir}/man1/otpprint.1*
%{_mandir}/man1/kf.1*
%{_mandir}/man1/kx.1*
%{_mandir}/man1/pfrom.1*
%{_mandir}/man1/rxtelnet.1*
%{_mandir}/man1/rxterm.1*
%{_mandir}/man1/tenletxr.1*
%{_mandir}/man1/xnlock.1*
%{_mandir}/man5/krb5.conf.5.*
%{_mandir}/man5/login.access.5.*
%{_mandir}/cat1/kdestroy.1*
%{_mandir}/cat1/kgetcred.1*
%{_mandir}/cat1/klist.1*
%{_mandir}/cat1/kswitch.1*
%{_mandir}/cat1/afslog.1*
%{_mandir}/cat1/ksu.1*
%{_mandir}/cat1/kinit.1*
%{_mandir}/cat1/kpasswd.1*
%{_mandir}/cat1/pagsh.1*
%{_mandir}/cat1/otp.1*
%{_mandir}/cat1/otpprint.1*
%{_mandir}/cat1/kf.1*
%{_mandir}/cat1/kx.1*
%{_mandir}/cat1/pfrom.1*
%{_mandir}/cat1/rxtelnet.1*
%{_mandir}/cat1/rxterm.1*
%{_mandir}/cat1/tenletxr.1*
%{_mandir}/cat1/xnlock.1*
%{_mandir}/man5/mech.5*
%{_mandir}/*8/verify_krb5_conf.8*
%{_mandir}/man8/string2key.8*
%{_mandir}/man8/kadmin.8*
%{_mandir}/man8/ktutil.8*
%{_mandir}/cat8/string2key.8*
%{_mandir}/cat8/kadmin.8*
%{_mandir}/cat8/ktutil.8*

#----------------------------------------------------------------------------

%package	server
Summary:	Kerberos Server
Group:		System/Servers
Requires:	%{name}-libs = %{EVRD}
# krb5 package ships krb5.conf etc on mdv 2008.0 and later
Requires:	krb5
Requires(post):	chkconfig
Requires(preun):chkconfig
Conflicts:	krb5-server

%description	server
This package contains the master KDC.

%files server
%doc NEWS TODO
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_unitdir}/*.service
%config(noreplace) %{_sysconfdir}/xinetd.d/kadmind
%dir %{_localstatedir}/lib/%{name}
%config(noreplace) %{_localstatedir}/lib/%{name}/kadmind.acl
# %{_mandir}/*1/kimpersonate.1*
%{_mandir}/*8/kdigest.8*
%{_mandir}/*8/kimpersonate.8*
%{_mandir}/*8/iprop.8*
%{_mandir}/*8/iprop-log.8*
%{_mandir}/man8/kstash.8*
%{_mandir}/man8/hprop.8*
%{_mandir}/man8/hpropd.8*
%{_mandir}/man8/kadmind.8*
%{_mandir}/man8/kdc.8*
%{_mandir}/man8/kxd.8*
%{_mandir}/man8/kfd.8*
%{_mandir}/man8/kpasswdd.8*
%{_mandir}/man8/kcm.8*
%{_mandir}/*8/ipropd-*.8*
%{_mandir}/cat8/kstash.8*
%{_mandir}/cat8/hprop.8*
%{_mandir}/cat8/hpropd.8*
%{_mandir}/cat8/kadmind.8*
%{_mandir}/cat8/kdc.8*
%{_mandir}/cat8/kxd.8*
%{_mandir}/cat8/kfd.8*
%{_mandir}/cat8/kpasswdd.8*
%{_mandir}/cat8/kcm.8*
%{_sbindir}/kstash
%{_sbindir}/hprop
%{_sbindir}/hpropd
%{_sbindir}/ipropd-master
%{_sbindir}/ipropd-slave
%{_sbindir}/kadmind
%{_sbindir}/kdc
%{_sbindir}/kxd
%{_sbindir}/kfd
%{_sbindir}/kpasswdd
%{_sbindir}/iprop-log
%{_sbindir}/kcm
%{_sbindir}/kdigest
%{_sbindir}/kimpersonate
%{_sbindir}/ipropd-slave-env-sheck.sh
#{_libdir}/%{name}
%{_datadir}/%{name}
%doc doc/*.html lib/hdb/hdb.schema

%pre server
if [ -d %{_var}/%{name} ]; then
    mv %{_var}/%{name} %{_localstatedir}/lib/%{name}
fi

%post server
cat <<EOF

Please be aware that since release 1.5.3-8 heimdal is under systemd control.
Old-style environment variables START_KDC, START_MASTER, etc. are deprecated.
Use systemctl to enable and/or disable heimdal Daemons when needed.

EOF

if grep -sq "START_" %{_sysconfdir}/sysconfig/%{name}
then
	/bin/systemctl daemon-reload >/dev/null 2>&1 || :
	source %{_sysconfdir}/sysconfig/%{name}
	cat <<EOF
Your environment file seems to contain these environment variables. Heimdal
services are going to be enabled according to current configuration for your
convinience.

EOF
	# Silent defaults:
	START_KDC=yes
	START_MASTER=no
	START_SLAVE=no
	START_KADMIND=no
	START_KPASSWD=no

	echo -n "START_KDC	= $START_KDC	: "
	if [ "$START_KDC" == "no" ]
	then
		echo "systemctl disable heimdal-kdc.service"
		/bin/systemctl --no-reload disable heimdal-kdc.service > /dev/null 2>&1 || :
	else
		echo "systemctl enable  heimdal-kdc.service"
		/bin/systemctl --no-reload enable heimdal-kdc.service > /dev/null 2>&1 || :
		/bin/systemctl start heimdal-kdc.service > /dev/null 2>&1 || :
	fi

	echo -n "START_MASTER	= $START_MASTER	: "
	if [ "$START_MASTER" == "yes" ]
	then
		echo "systemctl enable  heimdal-ipropd-master.service"
		/bin/systemctl --no-reload enable heimdal-ipropd-master.service > /dev/null 2>&1 || :
		/bin/systemctl start heimdal-ipropd-master.service > /dev/null 2>&1 || :
	else
		echo "systemctl disable heimdal-ipropd-master.service"
		/bin/systemctl --no-reload disable heimdal-ipropd-master.service > /dev/null 2>&1 || :
	fi

	echo -n "START_SLAVE	= $START_SLAVE	: "
	if [ "$START_SLAVE" == "yes" ]
	then
		echo "systemctl enable  heimdal-ipropd-slave.service"
		/bin/systemctl --no-reload enable heimdal-ipropd-slave.service > /dev/null 2>&1 || :
		/bin/systemctl start heimdal-ipropd-slave.service > /dev/null 2>&1 || :
	else
		echo "systemctl disable heimdal-ipropd-slave.service"
		/bin/systemctl --no-reload disable heimdal-ipropd-slave.service > /dev/null 2>&1 || :
	fi

	echo -n "START_KADMIND	= $START_KADMIND	: "
	if [ "$START_KADMIND" == "yes" ]
	then
		echo "systemctl enable  heimdal-kadmind.service"
		/bin/systemctl --no-reload enable heimdal-kadmind.service > /dev/null 2>&1 || :
		/bin/systemctl start heimdal-kadmind.service > /dev/null 2>&1 || :
	else
		echo "systemctl disable heimdal-kadmind.service"
		/bin/systemctl --no-reload disable heimdal-kadmind.service > /dev/null 2>&1 || :
	fi

	echo -n "START_KPASSWD	= $START_KPASSWD	: "
	if [ "$START_KPASSWD" == "yes" ]
	then
		echo "systemctl enable  heimdal-kpasswdd.service"
		/bin/systemctl --no-reload enable heimdal-kpasswdd.service > /dev/null 2>&1 || :
		/bin/systemctl start heimdal-kpasswdd.service > /dev/null 2>&1 || :
	else
		echo "systemctl disable heimdal-kpasswdd.service"
		/bin/systemctl --no-reload disable heimdal-kpasswdd.service > /dev/null 2>&1 || :
	fi

	cat <<EOF

Please review %{_sysconfdir}/sysconfig/%{name}.rpmnew and consider replacing your
current environment file with new one to avoid confusion in the future.

If you have suggestions or problems with Heimdal and systemd please report
to http://bugs.rosalinux.ru

EOF
cat > %{_sysconfdir}/sysconfig/%{name}.rpmnew <<EOF
# Heimdal KDC is a Kerberos 5 Key Distribution Center server
# Issue one of these commands to enable or disable this service:
#  systemctl enable  heimdal-kdc.service
#  systemctl disable heimdal-kdc.service

KDC_ARGS="$KDC_ARGS"

# Heimdal ipropd-master incremental propagation service
# Issue one of the folowing commands to enable or disable this service:
#  systemctl enable  heimdal-ipropd-master.service
#  systemctl disable heimdal-ipropd-master.service

MASTER_ARGS="$MASTER_ARGS"

# Heimdal ipropd-slave incremental propagation service
# Issue one of the folowing commands to enable or disable this service:
#  systemctl enable  heimdal-ipropd-slave.service
#  systemctl disable heimdal-ipropd-slave.service

SLAVE_ARGS="$SLAVE_ARGS"
MASTER="$MASTER"

# Heimdal kadmind remote administration service
# Issue one of the folowing commands to enable or disable this service:
#  systemctl enable  heimdal-kadmind.service
#  systemctl disable heimdal-kadmind.service

KADMIND_ARGS="$KADMIND_ARGS"

# Heimdal kpasswdd allows users to change their KDC passwords
# Issue one of the folowing commands to enable or disable this service:
#  systemctl enable  heimdal-kpasswdd.service
#  systemctl disable heimdal-kpasswdd.service

KPASSWD_ARGS="$KPASSWD_ARGS"
EOF
else
	if [ $1 -eq 1 ] ; then 
		# Initial installation 
		/bin/systemctl daemon-reload >/dev/null 2>&1 || :
		/bin/systemctl --no-reload enable  heimdal-kdc.service > /dev/null 2>&1 || :
		/bin/systemctl --no-reload disable heimdal-ipropd-master.service > /dev/null 2>&1 || :
		/bin/systemctl --no-reload disable heimdal-ipropd-slave.service > /dev/null 2>&1 || :
		/bin/systemctl --no-reload disable heimdal-kadmind.service > /dev/null 2>&1 || :
		/bin/systemctl --no-reload disable heimdal-kpasswdd.service > /dev/null 2>&1 || :
	fi
fi

%preun server
/bin/systemctl --no-reload disable heimdal-kdc.service > /dev/null 2>&1 || :
/bin/systemctl --no-reload disable heimdal-ipropd-master.service > /dev/null 2>&1 || :
/bin/systemctl --no-reload disable heimdal-ipropd-slave.service > /dev/null 2>&1 || :
/bin/systemctl --no-reload disable heimdal-kadmind.service > /dev/null 2>&1 || :
/bin/systemctl --no-reload disable heimdal-kpasswdd.service > /dev/null 2>&1 || :
/bin/systemctl stop heimdal-kdc.service > /dev/null 2>&1 || :
/bin/systemctl stop heimdal-ipropd-master.service > /dev/null 2>&1 || :
/bin/systemctl stop disable heimdal-ipropd-slave.service > /dev/null 2>&1 || :
/bin/systemctl stop disable heimdal-kadmind.service > /dev/null 2>&1 || :
/bin/systemctl stop disable heimdal-kpasswdd.service > /dev/null 2>&1 || :



#----------------------------------------------------------------------------

# Not working right yet
%if 0
%package	hdb_ldap
Summary:	Kerberos Server LDAP Backend
Group:		System/Servers
Requires:	%{name}-server = %{EVRD}

%description	hdb_ldap
This package contains the LDAP HDB backend plugin, which allows the use of
an LDAP server for storing the Heimdal database.

%files hdb_ldap
%{_libdir}/hdb_ldap*
%endif

#----------------------------------------------------------------------------

%package	libs
Summary:	Heimdal shared libraries
Group:		System/Libraries

%description	libs
This package contains shared libraries required by several of the other heimdal
packages.

%files libs
%attr(400,root,root) %ghost %{_sysconfdir}/krb5.keytab
%{_sysconfdir}/ld.so.conf.d/%{name}.conf
%{_libdir}/%{name}
#/lib*.so*
#{_libdir}/#{name}/windc*.so*
%{_infodir}/heimdal.info*
%{_infodir}/hx509.info.*
%{_mandir}/man8/kerberos.8*
%{_mandir}/cat8/kerberos.8*

#----------------------------------------------------------------------------

%package	login
Summary:	Used when signing onto a system
Group:		Networking/Other
Requires:	%{name}-libs = %{EVRD}

%description	login
login is used when signing onto a system. It can also be used to
switch from one user to another at any time (most modern shells have
support for this feature built into them, however). This package
contain kerberized version login program.

%files login
%{_bindir}/heimdal-login
%{_mandir}/man1/heimdal-login.1*
%{_mandir}/cat1/heimdal-login.1*

#----------------------------------------------------------------------------

%package	ftp
Summary:	The standard UNIX FTP (file transfer protocol) client
Group:		Networking/Other
Requires:	%{name}-libs = %{EVRD}
Conflicts:	ftp-client-krb5
Provides:	ftp-client

%description	ftp
The ftp package provides the standard UNIX command-line FTP client
with kerberos authentication support. FTP is the file transfer
protocol, which is a widely used Internet protocol for transferring
files and for archiving files.

%files ftp
%{_bindir}/ftp
%{_mandir}/man1/ftp.1*
%{_mandir}/cat1/ftp.1*

#----------------------------------------------------------------------------

%package	rsh
Summary:	Clients for remote access commands (rsh, rlogin, rcp)
Group:		Networking/Other
Requires:	%{name}-libs = %{EVRD}
Provides:	rsh-client

%description	rsh
The rsh package contains a set of programs which allow users to run
commands on remote machines, login to other machines and copy files
between machines (rsh, rlogin and rcp). All three of these commands
use rhosts style authentication. This package contains the clients
needed for all of these services.

%files rsh
%{_bindir}/rsh
%{_bindir}/rcp
%{_mandir}/man1/rsh.1*
%{_mandir}/cat1/rsh.1*
%{_mandir}/man1/rcp.1*
%{_mandir}/cat1/rcp.1*

#----------------------------------------------------------------------------

%package	telnet
Summary:	Client for the telnet remote login
Group:		Networking/Other
Requires:	%{name}-libs = %{EVRD}
Conflicts:	krb5-appl-clients
Conflicts:	netkit-telnet
Provides:	telnet-client

%description	telnet
Telnet is a popular protocol for remote logins across the Internet.
This package provides a command line telnet client.

%files telnet
%{_bindir}/telnet
%{_mandir}/man1/telnet.1*
%{_mandir}/cat1/telnet.1*

#----------------------------------------------------------------------------

%package	ftpd
Summary:	The standard UNIX FTP (file transfer protocol) server
Group:		System/Servers
Requires(pre):	xinetd
Requires:	%{name}-libs = %{EVRD}
Conflicts:	ftp-server-krb5
Provides:	ftp-server

%description	ftpd
FTP is the file transfer protocol, which is a widely used Internet
protocol for transferring files and for archiving files.

%files ftpd
%config(noreplace) %{_sysconfdir}/xinetd.d/ftpd
%{_sbindir}/ftpd
%{_mandir}/man8/ftpd.8*
%{_mandir}/cat8/ftpd.8*

%post ftpd
service xinetd condreload

%postun ftpd
service xinetd condreload

#----------------------------------------------------------------------------

%package	rshd
Summary:	Server for remote access commands (rsh, rlogin, rcp)
Group:		System/Servers
Requires(pre):	xinetd
Requires:	%{name}-libs = %{EVRD}
Provides:	rsh-server

%description	rshd
The rsh package contains a set of programs which allow users to run
commmands on remote machines, login to other machines and copy files
between machines (rsh, rlogin and rcp). All three of these commands
use rhosts style authentication. This package contains servers needed
for all of these services.

%files rshd
%config(noreplace) %{_sysconfdir}/xinetd.d/rshd
%{_sbindir}/rshd
%{_mandir}/man8/rshd.8*
%{_mandir}/cat8/rshd.8*

%post rshd
service xinetd condreload

%postun rshd
service xinetd condreload

#----------------------------------------------------------------------------

%package	telnetd
Summary:	Server for the telnet remote login
Group:		System/Servers
Requires(pre):	xinetd
Requires:	%{name}-libs = %{EVRD}
Conflicts:	krb5-appl-servers
Conflicts:	netkit-telnet-server
Provides:	telnet-server

%description	telnetd
Telnet is a popular protocol for remote logins across the Internet.
This package provides a telnet daemon which allows remote logins into
the machine it is running on.

%files telnetd
%config(noreplace) %{_sysconfdir}/xinetd.d/telnetd
%{_sbindir}/telnetd
%{_mandir}/man8/telnetd.8*
%{_mandir}/cat8/telnetd.8*

%post telnetd
service xinetd condreload

%postun telnetd
service xinetd condreload

#----------------------------------------------------------------------------

%if 0
%package	clients
Summary:	Kerberos programs for use on workstations
Group:		Networking/Other
Requires:	%{name}-libs = %{EVRD}

%description	clients
Kerberos 5 Clients.
%endif

#----------------------------------------------------------------------------

%package	daemons
Summary:	Kerberos daemons programs for use on servers
Group:		System/Servers
Requires:	%{name}-libs = %{EVRD}

%description	daemons
Kerberos Daemons.

%files daemons
%{_sbindir}/popper
%{_sbindir}/push
%{_mandir}/man8/popper.8*
%{_mandir}/man8/push.8*
%{_mandir}/cat8/popper.8*
%{_mandir}/cat8/push.8*

#----------------------------------------------------------------------------

%package	devel
Summary:	Header files for heimdal
Group:		System/Libraries
Requires:	%{name}-libs = %{EVRD}

%description	devel
Contains files needed to compile software using the heimdal libraries

%files devel
%{_bindir}/heimdal-config
%{multiarch_bindir}/heimdal-config
%{_includedir}/*

#----------------------------------------------------------------------------

%package	devel-doc
Summary:	Developer documentation for heimdal
Group:		System/Libraries

%description	devel-doc
Contains the documentation covering functions etc. in the heimdal libraries

%files devel-doc
%{_mandir}/man1/heimdal-config.1*
%{_mandir}/cat1/heimdal-config.1*
%{_mandir}/man3/*
%{_mandir}/cat3/*

#----------------------------------------------------------------------------

%package -n	openldap-schemas-%{name}
Summary:	OpenLDAP schema files from %{name}-%{EVRD} source tree
Group:		Databases
BuildArch:	noarch
Requires(pre):	openldap-config

%files -n		openldap-schemas-%{name}
%config(noreplace) %{_sysconfdir}/openldap/schema/*
%attr(750,ldap,ldap) %config(noreplace) %{_sysconfdir}/openldap/slapd.d/%{name}.conf

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch11 -p1 -b .passwd_check

%build
%serverbuild
#   --sysconfdir=%{_sysconfdir}/%{name} \
%configure2_5x \
    --libexecdir=%{_sbindir} \
    --with-hdbdir=%{_localstatedir}/lib/%{name} \
    --disable-static \
    --enable-shared \
    --with-readline \
    --with-readline-lib=%{_libdir} \
    --with-readline-include=%{_includedir}/readline \
    --with-openldap=%{_prefix} \
    --with-sqlite3=%{_prefix} \
    --with-libintl=%{_prefix} \
    --with-x \
    --with-ipv6 \
    --enable-kcm \
    --enable-pk-init \
    --enable-hdb-openldap-module
#if 0
#    --enable-hdb-openldap-module
#endif
make
%make -C doc html

%install
install -d %{buildroot}%{_localstatedir}/lib/%{name}
#install -d %{buildroot}%{_sysconfdir}/%{name}

%makeinstall_std

install appl/su/.libs/su %{buildroot}%{_bindir}/ksu
#install %{SOURCE4} %{buildroot}%{_sysconfdir}/krb5.conf

# Systemd service files for all daemons
mkdir -p %{buildroot}%{_unitdir}
install -m644 %{SOURCE10} -D %{buildroot}%{_unitdir}/
install -m644 %{SOURCE11} -D %{buildroot}%{_unitdir}/
install -m644 %{SOURCE12} -D %{buildroot}%{_unitdir}/
install -m644 %{SOURCE13} -D %{buildroot}%{_unitdir}/
install -m644 %{SOURCE14} -D %{buildroot}%{_unitdir}/

install -m644 %{SOURCE2} -D %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}.conf
install -m644 %{SOURCE3} -D %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m755 %{SOURCE15} -D %{buildroot}%{_sbindir}
# FIXME install %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

install -m644 %{SOURCE5} -D %{buildroot}%{_sysconfdir}/xinetd.d/ftpd
install -m644 %{SOURCE6} -D %{buildroot}%{_sysconfdir}/xinetd.d/rshd
install -m644 %{SOURCE7} -D %{buildroot}%{_sysconfdir}/xinetd.d/telnetd
install -m644 %{SOURCE8} -D %{buildroot}%{_sysconfdir}/xinetd.d/kadmind

chmod +r %{buildroot}%{_bindir}/otp   # qrde dlaczego to ma chmod 0

#touch %{buildroot}%{_sysconfdir}/%{name}/krb5.keytab
touch %{buildroot}%{_sysconfdir}/krb5.keytab
touch %{buildroot}%{_localstatedir}/lib/%{name}/kadmind.acl

# prevent some conflicts
mv %{buildroot}%{_mandir}/man1/su.1 %{buildroot}%{_mandir}/man1/ksu.1
mv %{buildroot}%{_mandir}/cat1/su.1 %{buildroot}%{_mandir}/cat1/ksu.1
mv %{buildroot}%{_mandir}/man1/krb5-config.1 %{buildroot}%{_mandir}/man1/heimdal-config.1
mv %{buildroot}%{_mandir}/cat1/krb5-config.1 %{buildroot}%{_mandir}/cat1/heimdal-config.1
mv %{buildroot}%{_bindir}/login %{buildroot}%{_bindir}/heimdal-login
mv %{buildroot}%{_mandir}/man1/login.1 %{buildroot}%{_mandir}/man1/heimdal-login.1
mv %{buildroot}%{_mandir}/cat1/login.1 %{buildroot}%{_mandir}/cat1/heimdal-login.1

rm -f %{buildroot}%{_mandir}/*5/ftpusers.5*

rm -f %{buildroot}%{_libdir}/lib{com_err,ss}.so
rm -f %{buildroot}%{_includedir}/{glob,fnmatch,ss/ss}.h
rm -f %{buildroot}%{_bindir}/mk_cmds

rm -f %{buildroot}%{_mandir}/man3/{DES,DH,EVP,OpenSSL,RAND,RSA}*

# see if we can avoid conflicting with krb5-devel
mv %{buildroot}%{_bindir}/krb5-config %{buildroot}%{_bindir}/heimdal-config
%multiarch_binaries %{buildroot}%{_bindir}/heimdal-config

mkdir -p %{buildroot}%{_includedir}/%{name}
mv %{buildroot}%{_includedir}/{gssapi,kadm5,krb5,roken} %{buildroot}%{_includedir}/%{name}/
mv %{buildroot}%{_includedir}/*.h %{buildroot}%{_includedir}/%{name}/

# stuff installed there because of libexecdir redefinition
mv %{buildroot}%{_sbindir}/%{name} %{buildroot}%{_libdir}

# see if we can avoid conflicting with krb5-libs
mv %{buildroot}%{_libdir}/*.so* %{buildroot}%{_libdir}/%{name}/

# utils
install -m755 tools/kdc-log-analyze.pl -D %{buildroot}%{_datadir}/%{name}/kdc-log-analyze.pl
install -m755 lib/kadm5/check-cracklib.pl -D %{buildroot}%{_datadir}/%{name}/check-cracklib.pl
perl -pi -e 's|^#! ?/usr/pkg/bin/perl|#!%{_bindir}/perl|' \
    %{buildroot}%{_datadir}/%{name}/*.pl

# Prepare schema files to be included into OpenLDAP configuration
mkdir -p %{buildroot}%{_sysconfdir}/openldap/{schema,slapd.d}
install -m 0644 lib/hdb/hdb.schema %{buildroot}%{_sysconfdir}/openldap/schema/
cat > %{buildroot}%{_sysconfdir}/openldap/slapd.d/%{name}.conf <<EOF
# If you need heimdal support load this file or copy
# uncommented lines below to your slapd.conf.

include %{_sysconfdir}/openldap/schema/hdb.schema

EOF
chmod 0644 %{buildroot}%{_sysconfdir}/openldap/slapd.d/%{name}.conf

# cleanups
rm -f %{buildroot}%{_libdir}/*.*a
rm -f %{buildroot}%{_libdir}/pkgconfig/heimdal-gssapi.pc

# looks like we don't need these
rm -f %{buildroot}%{_mandir}/*5/qop.5*
rm -f %{buildroot}%{_mandir}/cat5/mech.5

%check
%if %{?_with_test:1}%{!?_with_test:0}
# For some reason this check fails partially just under rpm:
perl -pi -e 's/check-iprop //g' tests/kdc/Makefile
make -C tests check
%endif



%changelog

* Tue Oct 20 2015 Denis Silakov <dsilakov@gmail.com> 1.5.3-9
- (d541f92) Move to main


